<!-- <p>{{addCheckboxes()}}</p> -->
<div class="card border-0 card-body align-items-center d-flex justify-content-center" style="width: 80rem;">
  <div class="row">

    <form id="OffersForm" class="" [formGroup]="form" (ngSubmit)="submit()" ngNativeValidate>
      <div class="row" style="margin-bottom: 2%;">
        <div class="col">
          <div class="dropdown">
            <select class="browser-default custom-select" #mySelect (change)='onOptionsSelected(mySelect.value)'
              name="nombre" class="form-control" id="selectname">
              <option value="noData">Seleccionar una opción</option>
              <option *ngIf="this.userRole == 'AdministradorMit'" value="value1">Nueva oferta</option>
              <option *ngFor="let oferta of this.todasLasOfertasAgregadas['ofertas']; index as i" value="{{i}}">
                {{oferta.nombre}}</option>
            </select>
          </div>
        </div>
      </div>

      <h5 class="card-title">Oferta:</h5>
      <div class="row" style="margin-bottom: 2%;">
        <div class="col">
          <input  type="text" class="form-control" placeholder="Nombre de la oferta" required #nombreOferta [disabled]="disableInputOffer">
        </div>
      </div>

      <div class="row " style="margin-bottom: 2%; padding-left: 0;">
        <div class="col-md-3" style="padding-left: 0;">
          <input  type="text" class="form-control" placeholder="Dominio Personalizado" oninput="this.value = this.value.replace(/[^A-Za-z0-9]/g, '').replace(/(\..*)\./g, '$1');" #dominioPerso [disabled]="disableInputOffer" maxlength="15">
        </div>
      </div>

      <div class="row mt-3">
        <div formArrayName="orders" class="col-md-4"
          *ngFor="let order of mapaServiciosAPintar | keyvalue: asIsOrder">

          
          <div class="">
            <label class="col" style="font-weight: bold;">{{order.key}}</label>
          </div>


            <div class="form-check checkInputs" *ngFor="let propiedad of order.value; let j = index ">
              <input *ngIf="order.value[j]['nombre']!='CURP'" #checkboxes type="checkbox" class="form-check-input"
                (change)="toogleCheckbox($event)" id="{{order.key + '-' + order.value[j]['nombre']}}"
                name="{{order.key + '-' + order.value[j]['nombre']}}" 
                [disabled]="(order.value[j]['nombre'] == 'Validar CURP' && !validarCurp)
                || order.value[j]['nombre'] == 'Validar INE' && !ineFlag
                || order.value[j]['nombre'] == 'Dirección' && !direccionFlag
                || order.value[j]['nombre'] == 'Resultado' && !capturaManual
                || order.value[j]['nombre'] == 'Documento Manual' && biometricoFlag
                || order.value[j]['nombre'] == 'selfie' && capturaManual
                || order.value[j]['nombre'] == 'Enroll' && capturaManual
                || order.value[j]['nombre'] == 'Enroll' && !showItem
                || order.value[j]['nombre'] == 'documento' && capturaManual
                || order.value[j]['nombre'] == 'Prueba De Vida' && capturaManual
                || order.value[j]['nombre'] == 'CFDI'  &&  !showCFDI
                || this.userRole !== 'AdministradorMit' "/>

              <label *ngIf="order.value[j]['nombre']!='CURP'" class="form-check-label" for="defaultCheck1">
                {{order.value[j]['nombre'] === "selfie" ? "selfie y prueba de vida" : order.value[j]['nombre']}}
              </label>


              <div class="form-check checkInputs" *ngFor="let item of (order.value[j]['props'] || []); let k = index"
                id="{{order.key + '-' + order.value[j]['nombre'] + '-' + item}}">
                <input #checkboxes type="checkbox" class="form-check-input" (change)="toogleCheckboxProperties($event)"
                  id="{{order.value[j]['nombre'] + '-' + item}}" 
                  [disabled]="(order.value[j]['nombre']=='documento' && !showItem)
                  || (order.value[j]['nombre']=='Datos Adicionales' && !varDatosAdicionales)
                  || (order.value[j]['nombre']=='Archivos Adjuntos' && !varArchivosAdjuntos)
                  || (order.value[j]['nombre']=='Documento Manual' && !capturaManual)
                  || (order.value[j]['nombre']=='Resultado' && !resultadoFlag)
                  || (order.value[j]['nombre']=='RFC' && !rfcFlag)
                  || (order.value[j]['nombre']=='FICO Score' && !showLeveFicoScore)
                  || (order.value[j]['nombre']=='Cuenta Clabe' && !clabeFlag)
                  || this.userRole !== 'AdministradorMit'"
                  name="{{order.key + '-' + order.value[j]['nombre'] + '-' + (order.key=='Valores Adicionales' || order.key=='Archivos Adjuntos' ?k:item)}}" />

                <input class="form-control input-dato-adicional" *ngIf="order.value[j]['nombre']=='Datos Adicionales'" value="{{item}}" name="variablesDatosAdicionales"  
                [disabled]=" (order.value[j]['nombre']=='Datos Adicionales' && !varDatosAdicionales)
                || this.userRole !== 'AdministradorMit'" oninput="this.value = this.value.replace(/[^a-zA-Z0-9\sáéíóúÁÉÍÓÚ ]/gi,'').slice(0,40)">

                <input class="form-control input-archivo-adjunto" *ngIf="order.value[j]['nombre']=='Archivos Adjuntos'" value="{{item}}" name="variablesArchivosAdjuntos"  
                [disabled]=" (order.value[j]['nombre']=='Archivos Adjuntos' && !varArchivosAdjuntos)
                || this.userRole !== 'AdministradorMit'" oninput="this.value = this.value.replace(/[^a-zA-Z0-9\sáéíóúÁÉÍÓÚ ]/gi,'').slice(0,40)" >

                <label class="form-check-label" for="defaultCheck2" *ngIf="order.value[j]['nombre']==!'Datos Adicionales' || order.value[j]['nombre']==='documento' || order.value[j]['nombre']==!'Archivos Adjuntos'
                || order.value[j]['nombre']==='Documento Manual' || order.value[j]['nombre']==='RFC' || order.value[j]['nombre']==='Resultado' || order.value[j]['nombre']==='FICO Score'
                || order.value[j]['nombre']==='Cuenta Clabe' ">
                  {{item}}
                </label>

                <div *ngIf=" item == 'PASSPORT' && order.value[j]['nombre'] !== 'Documento Manual'" class="divCURP">
                  <input #checkboxes type="checkbox" class="form-check-input checkInputs checkCURP" (change)="toogleCheckbox($event)"
                    id="ValidacionInformación-CURP" name="Validacion Información-CURP" [disabled]="!curpFlagPass || userRole !== 'AdministradorMit'" />

                  <label class="form-check-label" for="defaultCheck1">
                    CURP
                  </label>
                </div>

              </div>

          </div>
        </div>

      </div>

      <div id="alertTypeDocument" *ngIf="showAlert">
        <span style="color:red">{{error}}</span>
      </div>

      <div id="alertTypeDocumentPrivacity" *ngIf="showMessageH2H">
        <span style="color:blue">Para que la oferta con cta clabe sea exitosa, favor seleccionar también los campos Documento y RFC</span>
      </div>

      <div id="alertTypeDocumentPrivacity" *ngIf="showMessageAdic">
        <span style="color:blue">Es obligatorio tener el check del campo editado</span>
      </div>

      <div style="color:blue" id="alertFicoScore" *ngIf="alertFicoScore">
        <span>Fico score necesita los siguientes módulos para funcionar</span>
        <ol>
          <li>Documento</li>
          <li>Dirección (En caso de seleccionar Pasaporte)</li>
          <li>RFC</li>
        </ol>
      </div>

      <!--*ngIf="showLeveFicoScore"-->
      <div>
        <div class="row row-config" *ngIf="showLeveFicoScore">
          <h5>Selecciona el nivel para FicoScore </h5>
          <div class="col">
            <div class="dropdown">
              <select class="browser-default custom-select" #selectFicoScore
                  name="selectFicoScore" class="form-control" id="selectFicoScore" [disabled]="disableInputOffer">
                  <option value="0">Selecciona un nivel</option>
                  <option value="exigente">Alto</option>
                  <option value="medio">Medio</option>
                  <option value="poco">Bajo</option>
                  <option value="informativo">Informativo</option>
                  
              </select>
          </div>
          </div>
        </div>

        <div class="row row-config" *ngIf="showLeveFicoScore">
          <h5>Selecciona el nivel para FIS </h5>
          <div class="col">
            <div class="dropdown">
              <select class="browser-default custom-select" #selectFIS
                  name="selectFIS" class="form-control" id="selectFIS" [disabled]="disableInputOffer">
                  <option value="0">Selecciona un nivel</option>
                  <option value="exigente">Alto</option>
                  <option value="medio">Medio</option>
                  <option value="poco">Bajo</option>
                  <option value="informativo">Informativo</option>
                  
              </select>
          </div>
          </div>
        </div>

        <!--*ngIf="showLeveFicoScore"-->
        <div class="row row-config" *ngIf="validationFicoAndSignature || showLeveFicoScore ">
          <h5>Subir términos y condiciones </h5>

          <div class="col-md-6">
            <div class="form-group">
              <input type="file" name="file" id="fileTerminos" #fileTerminos class="input-file" (change)="processFile(fileTerminos)" [disabled]="disableInputOffer">
              <label style="color:#1DC7EA" id="js-labelFile" for="fileTerminos" class="btn btn-primary js-labelFile" >
                <i class="icon fa fa-check"></i>
                <span id="name-file" class="js-fileName">Elige un archivo</span>
              </label>
          </div>
          </div>
          <!--
          <div class="col-md-6">
            <span>
              <input id="fileTerminos" #fileTerminos type="file" accept="pdf/*" (change)="processFile(fileTerminos)"
              class="btn btn-primary" [disabled]="disableInputOffer">
                  </span>
          </div>-->
          <!--
          <div class="col-md-6">
            <div class="form-group">
                <input type="file" #fileTerminos name="file"  class="input-file" ((change)="processFile(fileTerminos)">
                <label id="js-labelFile" for="file" class="btn btn-tertiary js-labelFile">
                  <i class="icon fa fa-check"></i>
                  <span class="js-fileName">Elige un archivo</span>
                </label>
            </div>
        </div>-->

        <div class="col-md-6">
          <div class="form-group">
            <a class="btn btn-primary btnSave btnLink" (click)="abrirModal()">Previsualizar archivo</a>
          </div>
      </div>

        </div>
      </div>
      
      <div class="row">
        <div class="col">
          <input type="text" class="form-control" placeholder="Política de Evaluación " id="politicaInput"
            #politicaEvaluacion [disabled]="disableInputOfferPolitica">
        </div>
      </div>
      <div class="row" *ngIf="showErrorMIT">
        <span style="color:red">Verifica que el archivo de términos autorice a Mercadotecnia Ideas y Tecnologia S.A de C.V realizar las consultas correspondientes </span>
      </div>
      <!-- <div id="alertTypeDocumentPrivacity" *ngIf="showAlerPrivacity">
        <span style="color:red">{{error}}</span>
      </div> -->

      <!-- Star Personalizar Oferta-->
      <div class="row">
        <h5>Personaliza los colores de la oferta</h5>
        <div class="col-md-6">
          <div class="row">
            <div class="col-md-12">
              <mat-label class="titleInfo">Seleccione el color de los botones: </mat-label>
              <input id="colorButton" ejs-colorpicker type="color" required
                (change)="getColorSystem()" />
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <mat-label class="titleInfo">Seleccione el color de las etiquetas: </mat-label>
              <input id="colorLabel" ejs-colorpicker type="color" required
                (change)="getColorSystem()" />
            </div>
          </div>
        </div>

        <div class="col-md-3 previewCol">
          <h6 class="title-preview">Previsualización botón principal</h6>
          <div class="row">
            <button id="previewButton" type="button" class="btn btnPreview">Ejemplo</button>
          </div>
        </div>
        <div class="col-md-3 previewCol">
          <h6 class="title-preview">Previsualización botón secundario</h6>
          <div class="row">
            <button id="previewButtonSecun" type="button" class="btn btnPreview">Ejemplo</button>
          </div>
        </div>
        

      </div>
      <!--End peronsaliar Oferta-->
      <br>
      <button class="btn btn-primary btnSave">Guardar Oferta</button>
    </form>


    <div class="row" *ngIf="showLinkGenerator">

      <div class="col-md-12">
        <h5>Generar link para compartir</h5>
        <div class="row">
          <div class="col-md-6">
            <button class="btn btn-secundary btnSave btnLink" (click)="generaLink()">Generar</button>
          </div>
          <div class="col-md-6">
            <button class="btn btn-secundary btnCopy btnLink" id="CopyButton" (click)="copyLink()"
              *ngIf="showButtonCopy">Copiar</button>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <input type="text" class="form-control" id="link" disabled value="{{link}}">
          </div>
        </div>
      </div>
    </div>

  </div>
</div>

<div id="modalTerminos" class="modal my-auto">
  <!-- Modal content -->
  <div class="modal-content">
    <div class="row">
      <a id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg mr-3 btnUrl close btn-close-modal">&times;</a>
    </div>
    <h5 class="d-flex justify-content-center"><strong>Terminos y Condiciones</strong></h5>
    <div class="modal-body" [innerHTML]="textoModal"></div>
    <div class="row">
      <a id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg mr-3 btnUrl close btn-close-modal">&times;</a>
    </div>
</div>